EZSA-2020-004: Object Injection in SiteAccessMatchListener

Publication date:
20/05/2020 16:45

Severity:
High

Affected versions: ezsystems/ezplatform-kernel and ezsystems/ezpublish-kernel, all versions
Resolving versions: ezsystems/ezplatform-kernel v1.0.2.1 (v1.0.3), ezsystems/ezpublish-kernel v7.5.7.1 (v7.5.8), ezsystems/ezpublish-kernel v6.13.6.3 (v6.13.6.4), ezsystems/ezpublish-kernel v5.4.14.2 (v5.4.15)

This Security Advisory is about an object injection vulnerability in the SiteAccessMatchListener of eZ Platform, which could lead to remote code execution (RCE), a very serious threat. All sites may be affected.

Update: There are bugs introduced by this fix, particularly but not limited to compound siteaccess matchers. These have been fixed in ezsystems/ezplatform-kernel v1.0.3, and in ezsystems/ezpublish-kernel v7.5.8, v6.13.6.4, and v5.4.15.

This security update is distributed via Composer, see "Resolving versions" above.

This issue was reported to us by Serhey Dolgushev from Contextual Code. We are very grateful for their research, and responsible disclosure to us.
https://www.contextualcode.com/


Have you found a security bug in eZ Publish or eZ Platform? See how to report it responsibly here: https://doc.ezplatform.com/en/latest/guide/reporting_issues/

All security advisories